import dynamix_sdk.base as _base


class CloudbrokerAccountAddZoneResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerAccountAddZoneProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def add_zone(
        self,
        *,
        account_id: int,
        zone_ids: list[int],
    ) -> CloudbrokerAccountAddZoneResultBool:
        ...
